// ANCHOR: all
use blog::Post;

// ANCHOR: here
fn main() {
    let mut post = Post::new();

    post.add_text("Na lunch jadłem dzisiaj sałatkę");
    assert_eq!("", post.content());
    // ANCHOR_END: here

    post.request_review();
    assert_eq!("", post.content());

    post.approve();
    assert_eq!("Na lunch jadłem dzisiaj sałatkę", post.content());
    // ANCHOR: here
}
// ANCHOR_END: here
// ANCHOR_END: all
